Apple Notarization: Current Mac software installers might not run smoothly on macOS Catalina

Apple’s new notarization security requirement for macOS Catalina “might mean that installers you have for pre-2019 software will not run if you double-click them in the Finder,” Alex Gollner writes for Alex4D:

Apple’s new ‘notarisation’ security requirement for macOS Catalina might mean that installers you have for pre-2019 software will not run if you double-click them in the Finder. Also many installers available online that are not updated will not run in macOS Catalina.

Those of us who have created installers of all kinds – including for Final Cut plugins – should prepare for extra work before macOS Catalina is released in Autumn.

For installer applications to run as normal, they will need to be ‘notarised’ by Apple…

I used Plugin Manager (from Digital Rebellion’s Pro Maintenance Tools) to make the many installers for my free Final Cut plugins. Part of the process was signing the installers with my Apple developer ID. These installers from years ago will not work smoothly with macOS Catalina. Developers might see this as an opportunity to review old installers. I hope Digital Rebellion can help me with my NLE plugin installers. I might also need to make a whole load of new installers that I can notarise using other tools.

MacDailyNews Note: Alex links to a video for macOS developers to watch in preparation for the arrival of macSO Catalina:

3 Comments

  1. A way for apple to further restrict people from using software they own. Seems like Apple will continue screwing people over making them spend more money. If I Use windows apps I use in Windows XP still work in current windows, If I use a app that’s 32 bit it no longer works in current macOS, why? Because its not backward compatible(It could easily be, but Apple refuses to make it so so they can make more money) Don’t belive their lies about advancement in the os, or it needs 64 bit apps only, or more BS. They can Easily let 32 bit apps run, they just disabled 32 bit addresing. Excuses excuses…. They need machines to rotate every 2-5 years so they can make money, People are keeping 10 year old machines going as they’re expensive(I paid $3500 for my Mac Pro, in 2008 and it still runs, limited to 10.11) and Yes I read all the Apple os news so I’m aware of what they’re adding and subtracting, I’m pointing at them saying they’re shoving BS to people for Profiteering.

    1. Robert,
      I am just checking to make sure that I understand you. You are claiming that not a single API that was available in Windows XP has been modified in any way that could break a program? So ever time I have a problem with a 16 bit DOS program, that worked fine in Windows XP but is not supported in Windows 10, I am just imagining it? I agree that Microsoft bends over backwards to maintain backwards compatibility, primarily for large legacy corporate customers, but we witnessed the prolonging of updates for Windows versions because many corporations were unwilling or unable to update due to software dependancies but even they cannot keep everything working. Just for fun, try loading almost anything from Windows 95 in Windows 10.
      Yes, through the years I have lost great software due to updates to the Mac OS/OS X/Mac OS/System 7/System 6/… Personally, I do not blame Apple. I blame the developer for not issuing updates to their software to keep up with the current technology. OS upgrade issues have been around, on every computer system, since the first OS upgrade many, many decades ago. (Long before even a dinosaur like myself was born.)

Leave a Reply to David Alan Brant Cancel reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.